Questions tagged [eclipse]

Eclipse is an Interactive Development Environment(IDE) which has plug ins for many languages. It is written in Java. As an IDE questions are more likely to be on topic on Stack Overflow.

Filter by
Sorted by
Tagged with
-1 votes
2 answers
474 views

How do I resolve a spurious "No suitable Java version found" message?

Usually, when I a terminal session on an IBM Midrange box, I use a Java-based TN5250 emulator I designed and helped write (but which, alas, is not available to the public except as part of another ...
hbquikcomjamesl's user avatar
0 votes
0 answers
496 views

macOS 13 Ventura : bypass unidentified developer alert

I try to run the Eclipse 2023.03 (latest) for mac os x64 binary. I got every time the Unidentified Developer alert, so I'm unable to run Eclipse. I tried : sudo spctl --master-disable, but it tells ...
Klun's user avatar
  • 1
2 votes
0 answers
72 views

Setting global/system variable visible from JVM in console and Eclipse

How to define global/system variable in OSX latest versions (Monterey/Ventura) that should be visible from console (JVM) and IDE (preferable Eclipse, IntelliJ has special knowledge how to handle this ...
FoxyBOA's user avatar
  • 133
0 votes
0 answers
571 views

Problem with lldb-mi and Eclipse on MacOs

I installed lldb-mi following the documentation. At the moment I have the executable in the directory "/usr/local/bin/lldb-mi", and when I launch it I get the following output: I configured ...
cali32's user avatar
  • 11
1 vote
2 answers
7k views

How to install and configure Tomcat for eclipse IDE in macOS?

Yes I know there are various similar questions like. eclipse how to configure tomcat that install from package manager? but not finding any solution to the problem I am facing. What I am trying to ...
theSwapnilSaste's user avatar
0 votes
0 answers
35 views

Why is my compile time in Eclipse so long on an older iMac?

I have an iMac 27" from mid 2010 with 2,8 GHz Intel Core i5 CPU and 10GB RAM. It is running macOS High Sierra and things are okay on it except the browser gets a bit laggy when opening too much tabs. ...
bomben's user avatar
  • 1,073
1 vote
1 answer
289 views

I found but can't open eclipse.ini (bad parsing)

I know the trick with "show package contents" and I've gone to: $ECLIPSE_HOME/Eclipse.app/Contents/MacOS However, the file in there is 'eclipse', rather than 'eclipse.ini' Furthermore, when I open ...
DraxDomax's user avatar
  • 131
2 votes
1 answer
1k views

Netbeans or Eclipse on macOS Sierra - Java problems

I want to install Eclipse or Netbeans on macOS Sierra. When I try to run Eclipse, I get an warning that Java 6 is needed. I downloaded the latest version of Eclipse to be sure. So I tried Netbeans: ...
SPRBRN's user avatar
  • 1,200
0 votes
3 answers
20k views

Is there a Remote Desktop Connection manager for mac that will connect to Windows machines?

I am managing 4 Windows VM's on a network for running tests. I would like a Remote Desktop Connection manager that makes it easy to connect and switch between network machines. I am due for a ...
dsidler's user avatar
  • 111
2 votes
1 answer
3k views

Eclipse 'luna' installing issues on MacOs Sierra 10.12

im getting issues while installing eclipse luna for MacOS Sierra 10.12 I have followed the procedure for the installing the eclipse. 1.Download the eclipse luna. 2.move the zipped folder to desktop. ...
Deepak's user avatar
  • 21
0 votes
2 answers
3k views

I can't run Eclipse on Macbook on Yosemite: "Version 1.6.0_65 of the JVM is not suitable for this product." and I have Java 1.8 (shows in settings)

I can't run Eclipse on Macbook on Yosemite: "Version 1.6.0_65 of the JVM is not suitable for this product." and I have Java 1.8. When I open settings I can see that version of Java is 1.8
Vladimir Despotovic's user avatar
2 votes
1 answer
1k views

Why does Eclipse launch so slowly on Mac OS X?

I noticed sometime after updating to Yosemite that Eclipse now launches very slowly. It takes 30 seconds to a minute to get to the startup splash screen, and after that it spends a minute or two ...
wolfteeth's user avatar
-1 votes
1 answer
3k views

El Capitan, Eclipse does not work

I had latest version of eclipse and JAVA on new OS X. Eclipse does not respond nor works. Any inputs to fix will be of great help.
DJD's user avatar
  • 121
2 votes
0 answers
1k views

Retina display problem - GUI Java applications display fix

On my MacBook with retina when I open Java GUI applications with Oracle Java Se 7 (JEdit, Eclipse) I encountered the same display issue (font antialiasing an overal GUI with very bad resolution). $ /...
Cristian Florescu's user avatar
1 vote
2 answers
2k views

Could not determine GDB version using command: sudo /usr/local/bin/gdb --version

Eclipse (Mars) version (C programming language): Eclipse IDE for C/C++ Developers eclipse.buildId=4.5.0.I20150603-2000 MacOS version: OS X Yosemite 10.10.3 HW: MacbookPro 15" (mid-2015) Retina ...
Leon Kigelman's user avatar
1 vote
1 answer
2k views

Step to step guide how to use 32bit version of Java in Eclipse

I have a Java project in Eclipse that requires Java 7 running in 32 bit mode. I tried to force running in 32 bit mode by adding the flag -d32 to the VM arguments. However, I then get the following ...
Olaf's user avatar
  • 11
2 votes
2 answers
1k views

JDK - Platform Not Recognized - Running Eclipse or mvn

I screwed it up! I upgraded to Java 8 yesterday and that trashed some projects I was working on so I attempted to downgrade back to Java 7 and the wheels came off. I've removed the previous Java ...
Lorin S.'s user avatar
  • 133
7 votes
3 answers
7k views

Yosemite: How do increase font size of Eclipse globally?

Please do not mark this question as duplicate. There are some similar questions, but they are stale. They are about old versions and none of their suggestions solved my issue. (eg: How to increase ...
Alex's user avatar
  • 201
0 votes
2 answers
7k views

Eclipse Fails To Launch Complaining of Incompatible Java VM

I get the following error when trying to launch Eclipse, which I recently tried to install. "Version 1.6.0_65 of the JVM is not suitable for this product. Version 1.7 or greater is required." I'm ...
Keith's user avatar
  • 518
1 vote
1 answer
165 views

Alternate development environments to Xcode?

Are there any alternative Intergrated Development Environments (IDE) for Objective-C instead of Xcode? If so, are there any plug-ins for Eclipse for developing in Objective-C?
Er.Shreyansh Shah's user avatar
0 votes
5 answers
17k views

How to enable Eclipse on OS X Yosemite?

I've just upgraded to Yosemite. I'm trying to run the latest version of Eclipse but I get an error saying that Eclipse cannot run on Java 6. Running java --version on Terminal gives me Java 8. Why is ...
ruipacheco's user avatar
5 votes
1 answer
4k views

Will Eclipse + Android Developer Tools plugin work on OS X Yosemite?

I would like to update my system to the newest 10.10 Yosemite version, but I use quite intensively Eclipse + ADT to develop apps for Android. Does anyone have any experience with running this software ...
fragon's user avatar
  • 165
0 votes
2 answers
2k views

Bind Ctrl+C to Copy function for eclipse on mac os x doesn't work

I'm just moving my coding work from Windows to mac os x. It's really difficult to get used to the ctrl and command key behavior at beginning. Then I tried bind ctrl + C to Copy function instead of ...
Weibo Li's user avatar
  • 101
3 votes
1 answer
2k views

Unable to install Eclipse for all users

I would like to set up Eclipse to run for all users of a Mac running OS X 10.9.4 (Mavericks). I logged in to the administrator account (User) and did the following: I installed the latest version of ...
Ellen Spertus's user avatar
0 votes
1 answer
514 views

eclipse running on mac 32bit

i am currently using mac 32 bit.I am unable to open eclipse an error pop up saying that i need to update my JVM from 1.6 to 1.7 and from the java website there are no ver 1.7 for mac 32bit. what am i ...
amirulhaziq's user avatar
4 votes
4 answers
2k views

Fix 'Home' and 'End' keys on non-Cocoa applications

Found that it's a common problem that the 'Home' and 'End' keys don't function as-expected on MacOS. Found this fix, posted on LifeHacker: http://lifehacker.com/225873/mac-switchers-tip--remap-the-...
Rakesh Gopal's user avatar
3 votes
2 answers
5k views

Running Eclipse Luna using Oracle Java 8 on Mavericks [closed]

I am trying to run Eclipse Luna using Oracle Java JRE 1.8.0_11 on Mac OS X 10.9.4. I have added the following line to my eclipse.ini file: -vm /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/...
Björn Pollex's user avatar
5 votes
4 answers
804 views

Do I really need to replace my MacBook Pro?

I have an early 2011 (8.2) MBP ([email protected]) which I've upgraded to 16Gig memory and 512 Gig SSD. I am a heavy CPU and IO user: vagrant, Vmware Fusion, external display, Office, various IDE's (Xcode, ...
Paddy Carroll's user avatar
1 vote
1 answer
1k views

Fresh install of Eclipse on 10.9.2 cannot access com.apple.eawt package contents

I just got a Mac so I am a total newbie (I picked one up because I was unable to successfully do Mac development on my Windows Machine). The machine I have is at OS 10.9.2 and I installed Eclipse ...
Ian Leslie's user avatar
4 votes
1 answer
2k views

How to Open .dist extension as folder on Mac OS X?

I'am currently developing Java application with Eclipse IDE and having this folder named "workspace.dist". This contains the deployed portlet to be deployed to a framework. Now my problem is, Mac OS ...
Erieze Lagera's user avatar
0 votes
1 answer
412 views

Upgrade JRE in Mavericks [duplicate]

Am trying to run eclipse in maverick but a dialog box says that version 1.7.0 or later is needed to run Google plugin for Eclipse. My mac has version 1.6.0 when I run java -version from the command ...
andy's user avatar
  • 123
4 votes
4 answers
7k views

Shortcut to Eclipse in /Applications

I just downloaded Eclipse for OS X. I managed to run it, but I want to put it directly in /Applications: I don't want to place the eclipse folder, which has inside it the Eclipse.app, inside /...
Niv's user avatar
  • 143
0 votes
3 answers
1k views

eclipse wrong VM related to java 1.7

So I have been searching for hours on this. So I installed java 1.7 on my mac before I realized I wanted/needed to use 1.6. I have managed to change everything so that the command line sees version ...
harageth's user avatar
0 votes
0 answers
51 views

Is 13 inch MacBook Pro enough with Eclipse? [duplicate]

I'm a Java developer and want to buy a new 2013 Retina MacBook Pro. I'm interested in the 13 inch for portability but I'm worried it has too small display to effectively code using Eclipse. Has ...
Dan's user avatar
  • 101
2 votes
1 answer
3k views

Cannot get Python perspective with Eclipse IDE

I installed PyDev for Eclipse, but after doing so, I do not see PyDev in the list of perspectives. If I try to reinstall, it says it is already installed. Running Mac OSX 10.8.5 (Mountain Lion) and ...
pcm's user avatar
  • 159
2 votes
1 answer
6k views

Unable to exit full screen mode in Eclipse

I just installed Eclipse and went into the full screen mode but, unlike with other apps, the top bar wouldn't appear when I positioned the cursor at the top of the screen, so I was stuck in full ...
amphibient's user avatar
  • 11.7k
3 votes
1 answer
2k views

How to launch apps that require Java on Mountain Lion with only Java 7 installed?

Just got a brand new MacBook Air which shipped with Mountain Lion 10.8.4 and no Java installed. There is a /usr/bin/java, but running it would prompt me to install an Apple-distributed Java 6 runtime ...
user52440's user avatar
0 votes
1 answer
390 views

Speech Commands with Eclipse

I'm running Mac OS X 10.7.5 on my MacBook Pro and love the Voice Commands / Speakable Items feature. I also have a lot of custom commands that I use by writing applescripts and putting them in either ...
inspectorG4dget's user avatar